%define name		uae
%define mversion	0.8.25
%define fversion	20040302
%define release		0.%{fversion}.1mdk
%define cdrname		cdrecord
%define cdrmainvers	1.9
%define cdrvers 	%{cdrmainvers}a05

# For building with SCSI support
%define build_scsi 0
%{?_with_scsi: %global build_scsi 1}
%{?_without_scsi: %global build_scsi 0}

Summary: A software emulation of the Amiga system
Name: %{name}
Version: %{mversion}
Release: %{release}
URL: http://www.rcdrummond.net/uae
Source0: http://www.rcdrummond.net/uae/uae-%{mversion}-%{fversion}.tar.bz2
Source1: ftp://ftp.berlios.de/pub/cdrecord/alpha/%{cdrname}-%{cdrvers}.tar.bz2
Patch2: uae-scsi.patch.bz2
Patch4: uae-0.8.25-20040302-libscg.patch.bz2
Patch5: uae-0.8.22-openscsi.patch.bz2
Patch6: uae-0.8.22-fucomi.patch.bz2
Patch7: http://wrasse.demon.co.uk/~martin/uae_patches/uae-0.8.25-20040302-1_64cleanup.patch.bz2
Patch8: http://wrasse.demon.co.uk/~martin/uae_patches/uae-0.8.25-20040302-2_led_floppy.patch.bz2
Patch9: http://wrasse.demon.co.uk/~martin/uae_patches/uae-0.8.25-20040302-3_fileentry_and_mempanel.patch.bz2
Patch10: http://wrasse.demon.co.uk/~martin/uae_patches/uae-0.8.25-20040302-4_gfxpan.patch.bz2
License: GPL
Group: Emulators
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: XFree86-devel
BuildRequires: gtk+-devel
BuildRequires: glib-devel
BuildRequires: SDL-devel
Obsoletes: uae-jit
Provides: uae-jit

%description
UAE is a software emulation of the Amiga system hardware, which
enables you to run most available Amiga software.  Since it is a
software emulation, no extra or special hardware is needed.  The Amiga
hardware is emulated accurately, so that Amiga software is tricked
into thinking it is running on the real thing.  Your computer's
display, keyboard, hard disk and mouse assume the roles of their
emulated counterparts.

Note that to fully emulate the Amiga you need the Amiga KickStart ROM
images, which are copyrighted and, of course, not included here.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -a 1 -n uae-%{mversion}-%{fversion}
#%patch2 -p1 -b .scsi
%patch4 -p1 -b .libscg
#%patch5 -p1 -b .openscsi
%patch6 -p1 -b .fucomi
%patch7 -p1 -b .cleanup
%patch8 -p1 -b .led
%patch9 -p1 -b .fileentry
%patch10 -p1 -b .gfxpan

%build
%if %build_scsi
# build libscg for scsi-device support
(cd %{cdrname}-%{cdrmainvers}
ln -sf i586-linux-cc.rul RULES/ia64-linux-cc.rul
ln -sf i586-linux-cc.rul RULES/x86_64-linux-cc.rul
ln -sf i586-linux-cc.rul RULES/amd64-linux-cc.rul
ln -sf i686-linux-cc.rul RULES/athlon-linux-cc.rul
pwd
CFLAGS="$RPM_OPT_FLAGS" \
CONFFLAGS="%{_target_platform} --prefix=%{_prefix}" \
	XL_ARCH=%{_target_cpu} ./Gmake)
(cd src
./install_libscg ../%{cdrname}-%{cdrmainvers})
%endif

# build uae
CFLAGS="-O2 -fomit-frame-pointer" \
./configure --prefix=%{_prefix} \
            --with-x \
            --with-sdl \
            --with-sdl-sound \
            --with-sdl-gfx \
            --enable-threads \
            --enable-ui \
	    --enable-jit \
%if %build_scsi
            --enable-scsi-device \
%else
            --disable-scsi-device \
%endif
	    --enable-bsdsock
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/{bin,lib/uae/amiga/source}
%makeinstall
cp -pR amiga/* $RPM_BUILD_ROOT/%{_libdir}/uae/amiga/.

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs/*
%{_bindir}/*
%{_libdir}/uae
%doc docs/*


%changelog
* Fri Mar 12 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.25-0.20040302.1mdk
- Release 0.8.25-20040302.
- Regenerate Patch4.
- Added Patch7, Patch8, Patch9, Patch10 (from Martin Garton set).

* Wed Feb 24 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.25-0.20040223.1mdk
- Release 0.8.25-20040223.

* Thu Feb 05 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.23-0.20040129.1mdk
- Release 0.8.23-20040129.

* Tue Jan 13 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.22r9-0.20040107.1mdk
- Release 20040107.
- Removed Patch1 (merged upstream).

* Tue Dec 18 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.22r9-0.20031215.1mdk
- Release 20031215 (fixes hardfile support).
- Added and readapted Gwenole Patch6 (fucomi).
 
* Mon Dec 08 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.22r9-0.20031202.1mdk
- Release based on version 0.8.22r9 (20031202).
- Removed Patch0 (opt), Patch4 (bsdsocket), Patch5 (picasso96), Patch10(dvd),
  Patch11 (file).
- Added Patch5 (open_scsi).

* Mon Mar 31 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.8.22-3mdk
- Rebuild with gcc3.2, add -fno-reorder-blocks to CFLAGS for now.

* Tue Feb 25 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.22-2mdk
- Rebuilt.

* Sat Oct 12 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 0.8.22-1mdk
- 0.8.22
- Adpated file patch to 0.8.22

* Thu Sep 12 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.21-3mdk
- Added libSDL to BuildRequires.

* Thu Sep 12 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.21-2mdk
- updated cdrecord library from 1.8 to 1.11a211.
- added Patch11 (from WinUAE-0.8.21R3), fixes hardfile (for Reorg).
- Recompiled with gcc 2.X.

* Mon Apr 29 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.21-1mdk
- added bsdsocket.library support.
- Patch8 (regalloc) removed, now merged into jit patch tree.
- Patch10 (bfins-flags) removed, now merged into jit patch tree.
- Readapted Patch7 (fucomi) to 0.8.21.

* Mon Feb 11 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.8.15-6mdk
- 4 new patches:
  - Patch7: fucomi instructions are for P6+ cores only. e.g. Exclude K6-2
  - Patch8: Small fix for the register allocator
  - Patch9: Fixes for shift/rotate code generators
  - Patch10: Fix condition codes handling for BFINS instructions

* Fri Jan 04 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.20-1mdk
- updated to version 0.8.20.

* Thu Oct 18 2001 Daouda LO <daouda@mandrakesoft.com> 0.8.17-2mdk
- add devel package.

* Sat Aug 11 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.17-1mdk
- release 0.8.17.
- s/Copyright/License/.

* Wed Jan 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.15-4mdk
- added missed direct_access.c file.

* Mon Dec 18 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.15-3mdk
- added bsdsocket.library support.

* Sun Dec 17 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.15-2mdk
- updated to version JIT-IT2.
- fixed typo in configure.in.
- removed scsi patch (no longer needed).

* Sun Dec 03 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.15-1mdk
- updated with JIT version.

* Tue Sep 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.13-3mdk
- bm.
- macros.

* Fri Aug 11 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.13-2mdk
- added SCSI support.

* Thu Aug 10 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.13-1mdk
- updated to new version.

* Thu Apr 20 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.12-2mdk
- fixed group.

* Thu Mar 16 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.12-1mdk
- updated to version 0.8.12.

* Thu Feb 03 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to version 0.8.11.

* Sat Oct 31 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to version 0.8.10.
- added patch to show config help.
- added BuildPreReq.

* Sat Jul 24 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
  [0.8.9-2mdk]
- mandrake adaptions

* Sun Jul 04 1999 Arne Coucheron <arneco@online.no>
  [0.8.9-1]

* Mon May 24 1999 Arne Coucheron <arneco@online.no>
  [0.8.8-2]
- changed the Summary tag
- changed the Group tag
- changed the %description
- installing the utilities
- readdisk moved to /usr/bin

* Tue Mar 30 1999 Arne Coucheron <arneco@online.no>
  [0.8.8-1]
- corrected the Source tag

* Sat Jan 09 1999 Arne Coucheron <arneco@online.no>
  [0.8.7-1]

* Mon Jul 27 1998 Arne Coucheron <arneco@online.no>
  [0.8.6-1]

* Sat Jul 11 1998 Arne Coucheron <arneco@online.no>
  [0.8.5-1]

* Wed Jun 03 1998 Arne Coucheron <arneco@online.no>
  [0.8.4-1]
